import { ApplicationConfig, provideZoneChangeDetection } from '@angular/core';
import { provideRouter } from '@angular/router';
import localeDe from '@angular/common/locales/de';
import localeCn from '@angular/common/locales/zh-Hans';

import { routes } from './app.routes';
import { registerLocaleData } from '@angular/common';

registerLocaleData(localeDe, 'de-DE');
registerLocaleData(localeCn, 'cn-CN');
export const appConfig: ApplicationConfig = {
  providers: [provideZoneChangeDetection({ eventCoalescing: true }), provideRouter(routes)]
};
